package irclib


	
import (
	"net/textproto"
	"fmt"
	"runtime"
	"time"
)

var commend chan string
var exit chan bool

func show(conn *textproto.Conn, commend chan string) {
	for {
		if response, err := conn.ReadLine(); err == nil {
			fmt.Println(response)
		} else {
			fmt.Println("OUT!")
			exit <- true
		}
		select {
		case c := <-commend:
			if c == "EXIT" {
				fmt.Println("SHOW EXIT")
				exit <- true
			}
		default:
		}
	}
}

func main() {
	runtime.GOMAXPROCS(50)
	c, err := textproto.Dial("tcp", "chat.freenode.net:6665")
	defer c.Close()
	if err != nil {
		fmt.Println("ERROR WHEN CONNECT")
		return
	} 
	fmt.Println("CONNECTED")

	commend = make(chan string)

	go show(c, commend)
	

	_, err = c.Cmd("NICK gobot_hamo")
	if err != nil {
		commend <- "EXIT"
	}

//	c.StartResponse(id)
//	defer c.EndResponse(id)




	_, err = c.Cmd("USER gobot_hamo tolmoon tolsun test")
	if err != nil {
		commend <- "EXIT"
	}

//	c.StartResponse(id)
//	defer c.EndResponse(id)

	time.Sleep(20e9)

	_, err = c.Cmd("JOIN #ubuntu-cn")
	if err != nil {
		commend <- "EXIT"
	}

//	c.StartResponse(id)
//	defer c.EndResponse(id)

	time.Sleep(20e9)

	_, err = c.Cmd("PRIVMSG #ubuntu-cn : hi")
	if err != nil {
		commend <- "EXIT"
	}

	
	<- exit

}